## org.apache.axis.constants
Class Enum

    java.lang.Object
      org.apache.axis.constants.Enum

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  Scope, Status, Style, Use

public abstract class Enum
extends java.lang.Object
implements java.io.Serializable

General support for 'enumerated' data types. Name searches are case insensitive.

Author:
  Richard Sitze (rsitze@apache.org)
See Also:
  Serialized Form

Nested Class Summary
`static class` `Enum.Type`

Field Summary
`protected static org.apache.commons.logging.Log` `log`
`java.lang.String` `name`
`int` `value`

Constructor Summary
`protected` `Enum(Enum.Type type, int value, java.lang.String name)`

Method Summary
`boolean` `equals(Enum obj)`
`boolean` `equals(java.lang.Object obj)`
`java.lang.String` `getName()`
`Enum.Type` `getType()`
`int` `getValue()`
`int` `hashCode()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

### value

    public final int value

### name

    public final java.lang.String name

Constructor Detail

### Enum

    protected Enum(Enum.Type type,
                   int value,
                   java.lang.String name)

Method Detail

### getValue

    public final int getValue()

### getName

    public final java.lang.String getName()

### getType

    public final Enum.Type getType()

### toString

    public java.lang.String toString()

### equals

    public final boolean equals(java.lang.Object obj)

### hashCode

    public int hashCode()

### equals

    public final boolean equals(Enum obj)

Copyright © 2005 Apache Web Services Project. All Rights Reserved.